var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/components/CodeblockNode/highlight.js
var highlight_exports = {};
__export(highlight_exports, {
  default: () => highlight
});
module.exports = __toCommonJS(highlight_exports);
var import_core = __toESM(require("highlight.js/lib/core"));
var import_javascript = __toESM(require("highlight.js/lib/languages/javascript"));
var import_c = __toESM(require("highlight.js/lib/languages/c"));
var import_cpp = __toESM(require("highlight.js/lib/languages/cpp"));
var import_csharp = __toESM(require("highlight.js/lib/languages/csharp"));
var import_css = __toESM(require("highlight.js/lib/languages/css"));
var import_scss = __toESM(require("highlight.js/lib/languages/scss"));
var import_less = __toESM(require("highlight.js/lib/languages/less"));
var import_bash = __toESM(require("highlight.js/lib/languages/bash"));
var import_ini = __toESM(require("highlight.js/lib/languages/ini"));
var import_java = __toESM(require("highlight.js/lib/languages/java"));
var import_lua = __toESM(require("highlight.js/lib/languages/lua"));
var import_perl = __toESM(require("highlight.js/lib/languages/perl"));
var import_php = __toESM(require("highlight.js/lib/languages/php"));
var import_powershell = __toESM(require("highlight.js/lib/languages/powershell"));
var import_python = __toESM(require("highlight.js/lib/languages/python"));
var import_sql = __toESM(require("highlight.js/lib/languages/sql"));
var import_vbnet = __toESM(require("highlight.js/lib/languages/vbnet"));
var import_vbscript = __toESM(require("highlight.js/lib/languages/vbscript"));
var import_groovy = __toESM(require("highlight.js/lib/languages/groovy"));
var import_xml = __toESM(require("highlight.js/lib/languages/xml"));
var import_ruby = __toESM(require("highlight.js/lib/languages/ruby"));
var import_go = __toESM(require("highlight.js/lib/languages/go"));
var import_markdown = __toESM(require("highlight.js/lib/languages/markdown"));
var languages = {
  bash: import_bash.default,
  c: import_c.default,
  cpp: import_cpp.default,
  csharp: import_csharp.default,
  css: import_css.default,
  scss: import_scss.default,
  less: import_less.default,
  ini: import_ini.default,
  groovy: import_groovy.default,
  go: import_go.default,
  java: import_java.default,
  javascript: import_javascript.default,
  lua: import_lua.default,
  markdown: import_markdown.default,
  perl: import_perl.default,
  php: import_php.default,
  powershell: import_powershell.default,
  python: import_python.default,
  ruby: import_ruby.default,
  sql: import_sql.default,
  vbnet: import_vbnet.default,
  vbscript: import_vbscript.default,
  xml: import_xml.default
};
Object.keys(languages).forEach((lang) => [
  import_core.default.registerLanguage(lang, languages[lang])
]);
window.hljs = import_core.default;
function highlight(code, lang) {
  if (lang && languages[lang]) {
    return import_core.default.highlight(lang, code).value;
  }
  return import_core.default.highlightAuto(code).value;
}
