var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/utils/parse/markdownParse.js
var markdownParse_exports = {};
__export(markdownParse_exports, {
  markdownParse: () => markdownParse
});
module.exports = __toCommonJS(markdownParse_exports);
var MarkdownModule = window.createMarkdownModule ? window.createMarkdownModule() : {};
function markdownParse(str = "", { supportFont = true } = {}) {
  const MarkdownModuleKeys = Object.keys(MarkdownModule);
  if (MarkdownModuleKeys.length === 0 && typeof window.createMarkdownModule === "function") {
    MarkdownModule = window.createMarkdownModule();
  }
  const {
    allocate,
    intArrayFromString,
    ALLOC_NORMAL,
    _mdtojson2,
    _mdtojson3,
    Pointer_stringify,
    _free
  } = MarkdownModule;
  let jsonVal = {};
  let jsonStr = "";
  if (!str || str.length > 6200) {
    return jsonVal;
  }
  try {
    let ptr = allocate(intArrayFromString(str), "i8", ALLOC_NORMAL);
    let unit8Aray = new Uint8Array(95e3);
    let outPtr = allocate(unit8Aray, "i8", ALLOC_NORMAL);
    if (supportFont) {
      _mdtojson3(ptr, outPtr);
    } else {
      _mdtojson2(ptr, outPtr);
    }
    jsonStr = Pointer_stringify(outPtr);
    if (jsonStr) {
      jsonVal = JSON.parse(jsonStr);
    }
    _free(ptr);
    _free(outPtr);
    ptr = null;
    outPtr = null;
    unit8Aray = null;
  } catch (e) {
    MarkdownModule = window.createMarkdownModule ? window.createMarkdownModule() : {};
    console.error("markdownParse", e);
  }
  return jsonVal;
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  markdownParse
});
