function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import React, { useState } from 'react';
import { Music } from '@kaiheila/kui-lib';
var audio = null;
function MusicPlayer(props) {
  var canDownload = props.canDownload,
    src = props.src,
    onClickPlay = props.onClickPlay,
    onClickDown = props.onClickDown;
  var download = canDownload !== false;
  var _useState = useState({
      status: 'done',
      progress: 0
    }),
    _useState2 = _slicedToArray(_useState, 2),
    state = _useState2[0],
    set_state = _useState2[1];
  var onClickPlayInternal = function onClickPlayInternal(audio, errorState) {
    if (typeof onClickPlay === 'function') {
      onClickPlay(props);
    }
    if (errorState) {
      console.error('music play error:', errorState);
      return;
    }
    audio.play();
  };
  var downloadMusic = function downloadMusic() {
    var a = document.createElement('a');
    a.href = src;
    a.setAttribute('target', '_blank');
    a.rel = 'noopener noreferror';
    a.click();
  };

  // 不支持
  var onClickCancel = function onClickCancel() {};
  return /*#__PURE__*/React.createElement(Music, _extends({}, props, {
    download: download,
    status: state.status,
    progress: state.progress,
    onClickPlay: onClickPlayInternal,
    onClickDown: typeof onClickDown === 'function' ? function () {
      return onClickDown(props);
    } : downloadMusic,
    onClickCancel: onClickCancel,
    audio: audio
  }));
}
export default MusicPlayer;