var MarkdownModule = window.createMarkdownModule ? window.createMarkdownModule() : {};
export function markdownParse() {
  var str = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
    _ref$supportFont = _ref.supportFont,
    supportFont = _ref$supportFont === void 0 ? true : _ref$supportFont;
  var MarkdownModuleKeys = Object.keys(MarkdownModule);
  if (MarkdownModuleKeys.length === 0 && typeof window.createMarkdownModule === 'function') {
    MarkdownModule = window.createMarkdownModule();
  }
  var _MarkdownModule = MarkdownModule,
    allocate = _MarkdownModule.allocate,
    intArrayFromString = _MarkdownModule.intArrayFromString,
    ALLOC_NORMAL = _MarkdownModule.ALLOC_NORMAL,
    _mdtojson2 = _MarkdownModule._mdtojson2,
    _mdtojson3 = _MarkdownModule._mdtojson3,
    Pointer_stringify = _MarkdownModule.Pointer_stringify,
    _free = _MarkdownModule._free;
  var jsonVal = {};
  var jsonStr = '';
  if (!str || str.length > 6200) {
    return jsonVal;
  }
  try {
    var ptr = allocate(intArrayFromString(str), 'i8', ALLOC_NORMAL);
    var unit8Aray = new Uint8Array(95000);
    var outPtr = allocate(unit8Aray, 'i8', ALLOC_NORMAL);
    if (supportFont) {
      _mdtojson3(ptr, outPtr);
    } else {
      _mdtojson2(ptr, outPtr);
    }
    jsonStr = Pointer_stringify(outPtr);
    if (jsonStr) {
      jsonVal = JSON.parse(jsonStr);
    }
    _free(ptr);
    _free(outPtr);
    ptr = null;
    outPtr = null;
    unit8Aray = null;
  } catch (e) {
    MarkdownModule = window.createMarkdownModule ? window.createMarkdownModule() : {};
    console.error('markdownParse', e);
  }
  return jsonVal;
}