var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/components/MusicPlayer/index.jsx
var MusicPlayer_exports = {};
__export(MusicPlayer_exports, {
  default: () => MusicPlayer_default
});
module.exports = __toCommonJS(MusicPlayer_exports);
var import_react = __toESM(require("react"));
var import_kui_lib = require("@kaiheila/kui-lib");
var audio = null;
function MusicPlayer(props) {
  const { canDownload, src, onClickPlay, onClickDown } = props;
  const download = canDownload !== false;
  const [state, set_state] = (0, import_react.useState)({
    status: "done",
    progress: 0
  });
  const onClickPlayInternal = (audio2, errorState) => {
    if (typeof onClickPlay === "function") {
      onClickPlay(props);
    }
    if (errorState) {
      console.error("music play error:", errorState);
      return;
    }
    audio2.play();
  };
  const downloadMusic = () => {
    const a = document.createElement("a");
    a.href = src;
    a.setAttribute("target", "_blank");
    a.rel = "noopener noreferror";
    a.click();
  };
  const onClickCancel = () => {
  };
  return /* @__PURE__ */ import_react.default.createElement(
    import_kui_lib.Music,
    {
      ...props,
      download,
      status: state.status,
      progress: state.progress,
      onClickPlay: onClickPlayInternal,
      onClickDown: typeof onClickDown === "function" ? () => onClickDown(props) : downloadMusic,
      onClickCancel,
      audio
    }
  );
}
var MusicPlayer_default = MusicPlayer;
