var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/utils/emoji/emoji.jsx
var emoji_exports = {};
__export(emoji_exports, {
  encodeLocalHtml: () => encodeLocalHtml,
  htmlEncode: () => htmlEncode,
  printEmoji: () => printEmoji,
  printReactEmoji: () => printReactEmoji
});
module.exports = __toCommonJS(emoji_exports);
var import_react = __toESM(require("react"));
var import_twemoji = __toESM(require("twemoji"));
function printReactEmoji(str) {
  if (!str) {
    return "";
  }
  str = encodeLocalHtml(`${str}`);
  str = import_twemoji.default.parse(str, {
    folder: "svg",
    ext: ".svg"
  });
  return /* @__PURE__ */ import_react.default.createElement("span", { dangerouslySetInnerHTML: { __html: str } });
}
function encodeLocalHtml(sHtml = "") {
  return sHtml.replace(/[<>&"]/g, function(c) {
    return {
      "<": "&lt;",
      ">": "&gt;",
      "&": "&amp;",
      '"': "&quot;",
      "'": "&#39;",
      "&#8238;": "",
      "&#8207;": ""
    }[c];
  });
}
function htmlEncode(str = "") {
  let s = "";
  if (str.length == 0)
    return "";
  s = str.replace(/</g, "&lt;");
  s = s.replace(/>/g, "&gt;");
  s = s.replace(/\'/g, "&#39;");
  s = s.replace(/\"/g, "&quot;");
  s = s.replace(/&#8238;/g, "");
  s = s.replace(/&#8207;/g, "");
  return s;
}
function printEmoji(str, encodenbsp = true) {
  if (!str) {
    return "";
  }
  str = `${str}`;
  if (encodenbsp) {
    str = encodeLocalHtml(str);
  } else {
    str = htmlEncode(str);
  }
  str = import_twemoji.default.parse(str, {
    folder: "svg",
    ext: ".svg"
  });
  return str;
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  encodeLocalHtml,
  htmlEncode,
  printEmoji,
  printReactEmoji
});
