import React from 'react';
import highlight from "./highlight";
export default function CodeblockNode(props) {
  var code = props.code;
  var highlightedCode = highlight(code.text, code.lang);
  return /*#__PURE__*/React.createElement("pre", {
    className: "hlcode"
  }, /*#__PURE__*/React.createElement("code", {
    dangerouslySetInnerHTML: {
      __html: highlightedCode
    }
  }));
}